Bug 990296 - [abrt] smbios-utils-python-2.2.28-6.fc17: codecs.py:351:write:UnicodeDecodeError: 'ascii' codec can't decode byte 0xe2 in position 0: ordinal not in range(128)
[abrt] smbios-utils-python-2.2.28-6.fc17: codecs.py:351:write:UnicodeDecodeEr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libsmbios (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael E Brown
Fedora Extras Quality Assurance
abrt_hash:99ddf243a45b7a5184ad9437166...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-30 16:06 EDT by Dave Ulrick
Modified: 2015-07-09 17:35 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 00:46:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (893 bytes, text/plain)
2013-07-30 16:06 EDT, Dave Ulrick
no flags Details
File: core_backtrace (422 bytes, text/plain)
2013-07-30 16:06 EDT, Dave Ulrick
no flags Details
File: environ (2.69 KB, text/plain)
2013-07-30 16:06 EDT, Dave Ulrick
no flags Details

  None (edit)
Description Dave Ulrick 2013-07-30 16:06:42 EDT
Description of problem:
Ran 'smbios-token-ctl' as root

Version-Release number of selected component:
smbios-utils-python-2.2.28-6.fc17

Additional info:
cmdline:        /usr/bin/python /usr/sbin/smbios-token-ctl
dso_list:       python-libs-2.7.3-7.2.fc17.x86_64
executable:     /usr/sbin/smbios-token-ctl
kernel:         3.9.8-100.fc17.x86_64
last_occurrence: 1375214701
runlevel:       N 5
uid:            0
ureports_counter: 1

Truncated backtrace:
codecs.py:351:write:UnicodeDecodeError: 'ascii' codec can't decode byte 0xe2 in position 0: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/sbin/smbios-token-ctl", line 478, in <module>
    sys.exit( main() )
  File "/usr/sbin/smbios-token-ctl", line 385, in main
    dumpTokens(tokenTable, tokenXlator, options)
  File "/usr/sbin/smbios-token-ctl", line 243, in dumpTokens
    cli.wrap(translatedToken.description, indent=len(desc), first_line_start=len(desc))
  File "/usr/share/smbios-utils/cli.py", line 111, in wrap
    sys.stdout.write(c)
  File "/usr/lib64/python2.7/codecs.py", line 351, in write
    data, consumed = self.encode(object, self.errors)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xe2 in position 0: ordinal not in range(128)

Local variables in innermost frame:
self: <open file '<stdout>', mode 'w' at 0x7f757e8f11e0>
object: '\xe2'
Comment 1 Dave Ulrick 2013-07-30 16:06:45 EDT
Created attachment 780826 [details]
File: backtrace
Comment 2 Dave Ulrick 2013-07-30 16:06:48 EDT
Created attachment 780827 [details]
File: core_backtrace
Comment 3 Dave Ulrick 2013-07-30 16:06:51 EDT
Created attachment 780828 [details]
File: environ
Comment 4 Fedora End Of Life 2013-08-01 00:46:18 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Scott Williams 2015-07-09 17:35:41 EDT
Still a bug in Fedora 22, apparently.  I've reported it with a workaround here: https://bugzilla.redhat.com/show_bug.cgi?id=1235061

Note You need to log in before you can comment on or make changes to this bug.